using System;

namespace BS.Shared.DataContracts
{
    public partial class InvoiceDC
    {
        public InvoiceDC()
        {
            this.InvoiceDate = DateTime.Now;
            this.InvoicingPeriodStart = DateTime.Now.AddDays(-(DateTime.Now.Day - 1)).Date;
            this.InvoicingPeriodEnd = this.InvoicingPeriodStart.Value.AddMonths(1);
        }
    }
}